Results 1 to 4 of 4

Thread: Trouble Migrating and Upgrading

  1. #1
    Join Date
    Apr 2008
    Posts
    13
    Rep Power
    7

    Default Trouble Migrating and Upgrading

    Hi all! New memeber and New to Zimbra!!

    I am trying to migrate from an old server to a new server. I have installed Zimbra 5.0.6 on the new server with no problems. I was able to send mail from it and create accounts. The old server has 4.5.10 on it and is currently in production. I have tarballed the /opt/zimbra folder of the old server and moved it to the new server and extracted it over the top of the /opt/zimbra folder there. I then run the ./install.sh and perform an upgrade. Everything seems to go smooth and it seems like it knows I am going from 4.5.10 to 5.0.6 even though 5.0.6 is installed when I upgrade. The upgrade procedure then gives me :
    Failed to start slapd. Attempting debug start to determine error.
    daemon: bind(7) failed errno=99 (Cannot assign requested address)
    slap_open_listener: failed on ldap://server.domain.com:389

    Mon Jun 9 14:37:30 2008 failed with exit code 256.


    several times but then continues...

    then fails with:

    ERROR 1050 (42S01) at line 1: Table 'scheduled_task' already exists
    Mon Jun 9 14:43:17 2008: Error while running '/opt/zimbra/bin/mysql --user=zimbra --password=glmsEPS9lePwig9vjA9YujkxXsEn11m0 --database=zimbra --batch --skip-column-names'.
    Script failed with code 256: - exiting
    UPGRADE FAILED - exiting


    Any help would be great!
    Last edited by p24t; 06-09-2008 at 02:02 PM. Reason: edited out server name

  2. #2
    Join Date
    Mar 2007
    Location
    Austin
    Posts
    441
    Rep Power
    8

    Default

    I don't know if you're following this or not, but here's a handy guide for migrating from one server to another: Zimbra :: Blog » Moving ZCS to Another Server

    A couple things, firstly you will probably want to install the same version of Zimbra on the new server, and get it working before you upgrade to the new version. As for the LDAP listener error, you may want to check to see that there's nothing running on port 389 on that server already.

    (I edited your post and removed your server URL)

  3. #3
    Join Date
    Apr 2008
    Posts
    13
    Rep Power
    7

    Default

    I apreciate the help I will give that a try and then repost.

  4. #4
    Join Date
    Apr 2008
    Posts
    13
    Rep Power
    7

    Default Still having problems

    I have gotten much further in my quest to migrate the server from the old server to the new. I was able to move it to the new server but now while upgrading I am getting hung at:
    Tue Jun 10 12:34:15 2008: Executing /opt/zimbra/libexec/scripts/migrate20070809-Signatures.pl

    when I run top I see:
    slapd is maxing out my processor and taking forever. is it hung? Should this take 12 hours to run? My Store is 30Gig

Similar Threads

  1. Replies: 9
    Last Post: 05-28-2008, 12:40 PM
  2. Replies: 1
    Last Post: 05-13-2008, 06:50 AM
  3. Upgrading from 3.1.4_GA_518 to 4.0.3_GA_406
    By a2mc in forum Installation
    Replies: 6
    Last Post: 11-13-2006, 12:52 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •